# Uses of Interface
org.eclipse.jdt.debug.eval.IEvaluationEngine

Packages that use IEvaluationEngine
Package
Description
org.eclipse.jdt.debug.eval
Provides a set classes and interfaces that support evaluations in the Java debugger.

## Uses of IEvaluationEngine in org.eclipse.jdt.debug.eval

Subinterfaces of IEvaluationEngine in org.eclipse.jdt.debug.eval
Modifier and Type
Interface
Description
`interface`
`IAstEvaluationEngine`
An evaluation engine that performs evaluations by interpreting abstract syntax trees.
`interface`
`IClassFileEvaluationEngine`
An evaluation engine that performs evaluations by deploying and executing class files locally.
Methods in org.eclipse.jdt.debug.eval that return IEvaluationEngine
Modifier and Type
Method
Description
`IEvaluationEngine`
IEvaluationResult.`getEvaluationEngine()`
Returns the evaluation engine used to evaluate the original snippet.